#include <stdio.h>
#include "mom_bitstream_d.h"
#include "studio_vlc_table.h"

VLCtab studio_group_table_latest[32][32];
VLCtab studio_group_table_inter_latest[32][32];


Int GetStudioDCLumVLCCode_Studio ( Int number ) {
  return studio_dc_lum_table[number].val;
}

Int GetStudioDCLumVLCLength_Studio ( Int number ) {
  return studio_dc_lum_table[number].len;
}

Int GetStudioDCChromVLCCode_Studio ( Int number ) {
  return studio_dc_chrom_table[number].val;
}

Int GetStudioDCChromVLCLength_Studio ( Int number ) {
  return studio_dc_chrom_table[number].len;
}


Void InitializeStdioGroupTable_Studio( void ) {
  Int i, j;

  for ( i=0; i<32; i++ )
    for ( j=0; j<32; j++ ) {
      studio_group_table_latest[i][j].val = studio_group_table_def[i][j].val;
      studio_group_table_latest[i][j].len = studio_group_table_def[i][j].len;
    }

  for ( i=0; i<32; i++ )
    for ( j=0; j<32; j++ ) {
      studio_group_table_inter_latest[i][j].val = studio_group_table_inter_def[i][j].val;
      studio_group_table_inter_latest[i][j].len = studio_group_table_inter_def[i][j].len;
    }
}

Int GetStudioGroupVLCCodeIntra_Studio ( Int group, Int number ) {
  return studio_group_table_latest[group][number].val;
}

Int GetStudioGroupVLCLengthIntra_Studio ( Int group, Int number ) {
  return studio_group_table_latest[group][number].len;
}

Int GetStudioGroupVLCCodeInter_Studio ( Int group, Int number ) {
  return studio_group_table_inter_latest[group][number].val;
}

Int GetStudioGroupVLCLengthInter_Studio ( Int group, Int number ) {
  return studio_group_table_inter_latest[group][number].len;
}



Void PutStudioGroupVLCIntra_Studio ( Int code, Int length, Int group, Int number ) {
  studio_group_table_latest[group][number].val = code;
  studio_group_table_latest[group][number].len = length;
}

Void PutStudioGroupVLCInter_Studio ( Int code, Int length, Int group, Int number ) {
  studio_group_table_inter_latest[group][number].val = code;
  studio_group_table_inter_latest[group][number].len = length;
}

